---
title: "Update an existing Local User."
slug: "update-an-existing-local-user-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/update-an-existing-local-user-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing Local User.

Put/local-users/{id}

Update an existing Local User.

SecurityHTTPType bearer

Path parametersidstring (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425

Body parameters

Local User object.

<select class='api-response-data' aria-label='Media type'><option value='979d6dfc-a109-4b16-8750-82016a719647'>application/json</option>
</select>object  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    Required

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
firstNamestring    Required

First name of the user. May be used as claim.

ExampleBobby
lastNamestring    Required

Last name of the user. May be used as claim.

ExampleTables
passwordstring  (password)    

Password for the user. Omit the field to keep the old password when updating a user.

ExampletSW3!QBv(rj{UuLY
emailstring    

E-mail address for the user. May be used as claim.

Examplebobby@tables.com
phonestring    

Phone number for the user. May be used as claim.

Example+1-202-555-0172
disabledboolean    

If true, the user will not be able to login.

failedLoginAttemptsnumber    

Number of wrong password login attempts since last successiful login.

Example0.0
lockStartstring  (date-time)    

The date time when the user got locked out. A local user is locked out of the system after X amount of consecutive failed login attempts, where X is configurable in the local Identity Provider. The lock is in effect for Y minute(s), where Y is configurable in the local Identity Provider. When the user logs in successfully, this field becomes null.

Responses200

Updated Local User.

<select class='api-response-data' aria-label='Media type'><option value='4dbec6c3-6c3a-40bc-a961-6c72e3c5e9ff'>application/json</option>
</select>object  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
createdstring  (date-time)    

Create date.

updatedstring  (date-time)    

Last update date.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
firstNamestring    

First name of the user. May be used as claim.

ExampleBobby
lastNamestring    

Last name of the user. May be used as claim.

ExampleTables

emailstring    

E-mail address for the user. May be used as claim.

Examplebobby@tables.com
phonestring    

Phone number for the user. May be used as claim.

Example+1-202-555-0172
disabledboolean    

If true, the user will not be able to login.

failedLoginAttemptsnumber    

Number of wrong password login attempts since last successiful login.

Example0.0
lockStartstring  (date-time)    

The date time when the user got locked out. A local user is locked out of the system after X amount of consecutive failed login attempts, where X is configurable in the local Identity Provider. The lock is in effect for Y minute(s), where Y is configurable in the local Identity Provider. When the user logs in successfully, this field becomes null.

400

JSON error. Check the JSON format.

<select class='api-response-data' aria-label='Media type'><option value='eb7f851e-156e-46a2-87cf-67dbc204513d'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='74289d5b-8a2e-4339-b85d-fcf39aa9d13e'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='a54389f1-deb9-460e-99fd-1d4a1787be1e'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

404

The requested resource can not be found.

<select class='api-response-data' aria-label='Media type'><option value='2bb9952c-2c21-4ccc-968b-be767f2cbbd6'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='8e23446c-29dc-4af1-b18b-86ec768802ac'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

422

Request validation error. Check "errors" array for details.

<select class='api-response-data' aria-label='Media type'><option value='03cd3cbe-9907-4abe-9c5b-ae4f03dca362'>application/json</option>
</select>Expand Allobject  

Http 422 error for object validation.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

errors Array of object   

List of fields with validation errors.

object  fieldstring    

Name of the field that failed validation.

Examplename
messagestring    

Failure reason.

Examplemay not be null

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='a859fc42-92c4-480a-b9cc-4a97913b3422'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
